#
# spec file for package powertop (Version 1.7)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           powertop
URL:            http://www.linuxpowertop.org
Summary:        PowerTOP is a Linux tool to find out what is using power on a laptop
Version:        1.7
Release:        1
License:        GNU General Public License (GPL)
Group:          System/Monitoring
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on

%description
PowerTOP is a program that collects the various pieces of information
from your system and presents an overview of how well your laptop is
doing in terms of power savings.



Authors:
--------
    Arjan van de Ven <arjan@linux.intel.com>

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}/%{_bindir}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{_buildroot}

%files  -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_mandir}/man*/%{name}.1.gz

%changelog
* Mon Jun 18 2007 - thoenig@suse.de
- Update to PowerTOP 1.7
- Changes:
  * add suggestion to disable TV out
  * add suggestion to disable Wake-On-Lan for unused ethernet
  * show P-states (frequencies)
* Sun Jun 10 2007 - thoenig@suse.de
- Update to PowerTOP 1.6
- Changes:
  * Add suggestion to rf_kill unused wireless interfaces
  * Propose killing "sealert"; this is a new thing in F7 that wakes
  up 10 times per second for no reason
  * avoid showing the laptop mode hint when on AC - Val Henson
  * suggest enabling noatime to save disk IO's
  * suggest enabling SATA AHCI Link powermanagement
  * suggest enabling the SMP Power Aware Scheduler
* Mon May 28 2007 - thoenig@suse.de
- Update to PowerTOP 1.5
- Changes:
  * fix resize-corrupts-screen-content bug
  * add interrupts to the wakeups/second data in the emulated
  (non-mobile) case
  * calculate a long term power usage from battery charge deltas;
  this should help people whos battery doesn't report discharge
  rates, and also will provide a less noisy datapoint
  * Add option to use `kill` on some known power hogs if they are
  actually waking up a lot:
    - beagle (even latest wakes up 10 times/second when not
  indexing)
    - hal (suggest to stop cdrom polling)
    - gnome-power-manager
  These only show if these actually wake up the cpu 'a lot';
  so if these get fixed then the suggestion will not display.
* Sat May 26 2007 - schwab@suse.de
- Don't strip binaries.
* Sat May 26 2007 - thoenig@suse.de
- Update to PowerTOP 1.4
- Strip binary
- Add man page and localisation for powertop
- Changes:
  * use gettext to allow translation
  (with lots of thanks to the various translators, especially
  to Benjamin Pineau who showed me how to use gettext tools)
  * fix bluethooth-checks-cause-autload-of-bluetooth bug
  * use ncurses (Sebastian Kuzminsky)
  * rotate through the suggestions randomly, so that all of them
  will show over time
  * Fix the CONFIG_SND_AC97_POWER_SAVE check to only report on ac97
  hw
  * report "hidden but suprious" timer ticks (due to missing hpet
  or lack of NO_HZ)
  * check for HPET being present; if not suggest user to toggle in
  BIOS or apply the patch
  * Some suggestions have become "active", you can press a key to
  tune it right away.
  * Add active suggestion to enable AC97 powersave mode at runtime
  * Add active suggestion to enable wireless powersave mode at
  runtime
  * Add active suggestion to enable ondemand
* Tue May 22 2007 - thoenig@suse.de
- Update to PowerTOP 1.3
- Remove patch powertop-fix-compiler-warnings-thoenig-02.patch:
  merged upstream
- Changes:
  * Add suggestion for CONFIG_SND_AC97_POWER_SAVE
  * Fix inefficient code for readdir (Vince Pinter)
  * Highlight the worst offenders in bold (Vince Pinter)
  * Fix crash when running on 2.4 kernels (Harald Fernengel)
  * Check fgets() return values (Timom Hoenig @ SuSE)
  * add suggestion to enable laptop mode (when disabled)
  * add suggestion to disable bluetooth when unused
* Tue May 15 2007 - thoenig@suse.de
- Update to PowerTOP 1.2 (skipped 1.1)
- Fix battery code to work with both, mA and mW
- Clean up spec file
- Update patch powertop-fix-compiler-warnings-thoenig-02.patch
- Drop patch powertop-respect-rpm-opt-flags-thoenig-01.patch
* Sun May 13 2007 - thoenig@suse.de
- Add patch powertop-fix-compiler-warnings-thoenig-01.patch: Make
  compiler warnings about unsued parameters and return values not
  being repected go away.
- Fix whitespaces for %%description
* Sun May 13 2007 - thoenig@suse.de
- Initial package submission (PowerTOP 1.0)
- Add patch powertop-respect-rpm-opt-flags-thoenig-01.patch: Fix
  Makefile to respect RPM_OPT_FLAGS
